package com.zhongdao.jlr.business.service;

import com.zhongdao.jlr.pojo.BaseMenu;
import org.json.JSONObject;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface BaseService {
	
	/**
	 * 登录
	 * @param 
	 * @return 用户信息
	 */
	public Map login(HttpServletRequest request,Map result,String username,String password);

	/***
	 * 获取菜单信息
	 * @return
	 */
	List<BaseMenu> getMenuInfo();

	/***
	 * 获取父级菜单信息
	 * @return
	 */
	List<BaseMenu> getParentMenuInfo();
}
